import 'package:json_annotation/json_annotation.dart';

part 'job_do_papers_switch_operation_sub_bus.g.dart';

@JsonSerializable()
class JobDoPapersSwitchOperationSubBus extends Object {
  @JsonKey(name: 'height')
  double height;

  @JsonKey(name: 'open')
  bool open;

  JobDoPapersSwitchOperationSubBus(
    this.height,
    this.open,
  );

  factory JobDoPapersSwitchOperationSubBus.fromJson(Map<String, dynamic> srcJson) =>
      _$JobDoPapersSwitchOperationSubBusFromJson(srcJson);

  Map<String, dynamic> toJson() => _$JobDoPapersSwitchOperationSubBusToJson(this);
}
